=== debian/changelog ===
qt-advanced-docking-system (3.8.3-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:49:27 +1100

qt-advanced-docking-system (3.8.3-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:44:20 +0000

qt-advanced-docking-system (3.8.3-1) unstable; urgency=medium

  * Initial upload into Debian (Closes: #1017597)

 -- Dima Kogan <dkogan@debian.org>  Thu, 18 Aug 2022 16:44:38 -0700
