=== debian/control ===
Source: qt-advanced-docking-system
Section: libdevel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Dima Kogan <dkogan@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               qtbase5-dev,
               qtbase5-private-dev,
               libxcb1-dev
Standards-Version: 4.6.0
Homepage: https://github.com/githubuser0xFFFF/Qt-Advanced-Docking-System
Vcs-Git: https://salsa.debian.org/debian/qt-advanced-docking-system.git
Vcs-Browser: https://salsa.debian.org/debian/qt-advanced-docking-system

Package: libqt-advanced-docking-system3.8.3
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Advanced Docking System for Qt
 Qt Advanced Docking System lets you create customizable layouts using a full
 featured window docking system similar to what is found in many popular
 integrated development environments (IDEs) such as Visual Studio.
 .
 This package contains the run-time libraries

Package: libqt-advanced-docking-system-dev
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libqt-advanced-docking-system3.8.3 (= ${binary:Version}),
         qtbase5-dev
Description: Advanced Docking System for Qt
 Qt Advanced Docking System lets you create customizable layouts using a full
 featured window docking system similar to what is found in many popular
 integrated development environments (IDEs) such as Visual Studio.
 .
 This package contains the build-time libraries
