=== debian/changelog ===
qt-advanced-docking-system (4.5.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1126321)
  * Moved to qt6

 -- Dima Kogan <dkogan@debian.org>  Sat, 24 Jan 2026 15:56:03 -0800
