=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: qt-advanced-docking-system
 Section: libdevel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dima Kogan <dkogan@debian.org>
+Maintainer: Dima Kogan <dkogan@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
-               qtbase5-dev,
-               qtbase5-private-dev,
+               qt6-base-dev,
+               qt6-base-private-dev,
+               qt6-tools-dev,
+               qt6-declarative-dev,
                libxcb1-dev
 Standards-Version: 4.6.0
 Homepage: https://github.com/githubuser0xFFFF/Qt-Advanced-Docking-System
 Vcs-Git: https://salsa.debian.org/debian/qt-advanced-docking-system.git
 Vcs-Browser: https://salsa.debian.org/debian/qt-advanced-docking-system
 
-Package: libqt-advanced-docking-system3.8.3
+Package: libqt-advanced-docking-system4
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -29,8 +30,8 @@
 Package: libqt-advanced-docking-system-dev
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, libqt-advanced-docking-system3.8.3 (= ${binary:Version}),
-         qtbase5-dev
+Depends: ${misc:Depends}, libqt-advanced-docking-system4 (= ${binary:Version}),
+         qt6-base-dev
 Description: Advanced Docking System for Qt
  Qt Advanced Docking System lets you create customizable layouts using a full
  featured window docking system similar to what is found in many popular
